| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::xfeatures2d::PCTSignaturesSQFD Class Referenceabstract
Extra 2D Features Framework » Experimental 2D Features Algorithms

Class implementing Signature Quadratic Form Distance (SQFD). More...

`#include "xfeatures2d.hpp"`

Inheritance diagram for cv::xfeatures2d::PCTSignaturesSQFD:

## Public Member Functions
virtual float | computeQuadraticFormDistance (InputArray _signature0, InputArray _signature1) const =0
| Computes Signature Quadratic Form Distance of two signatures. More...
virtual void | computeQuadraticFormDistances (const Mat &sourceSignature, const std::vector< Mat > &imageSignatures, std::vector< float > &distances) const =0
| Computes Signature Quadratic Form Distance between the reference signature and each of the other image signatures. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< PCTSignaturesSQFD > | create (const int distanceFunction=3, const int similarityFunction=2, const float similarityParameter=1.0f)
| Creates the algorithm instance using selected distance function, similarity function and similarity function parameter. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing Signature Quadratic Form Distance (SQFD).

See also
  Christian Beecks, Merih Seran Uysal, Thomas Seidl. Signature quadratic form distance. In Proceedings of the ACM International Conference on Image and Video Retrieval, pages 438-445. ACM, 2010. [11]

## Member Function Documentation

## § computeQuadraticFormDistance()

virtual float cv::xfeatures2d::PCTSignaturesSQFD::computeQuadraticFormDistance | ( | InputArray | _signature0,
|  | InputArray | _signature1
| ) |  | const
| pure virtual

Python:
| retval | = | cv.xfeatures2d_PCTSignaturesSQFD.computeQuadraticFormDistance( | _signature0, _signature1 | )

Computes Signature Quadratic Form Distance of two signatures.

Parameters

  _signature0 | The first signature.
  _signature1 | The second signature.

## § computeQuadraticFormDistances()

virtual void cv::xfeatures2d::PCTSignaturesSQFD::computeQuadraticFormDistances | ( | const Mat & | sourceSignature,
|  | const std::vector< Mat > & | imageSignatures,
|  | std::vector< float > & | distances
| ) |  | const
| pure virtual

Python:
| None | = | cv.xfeatures2d_PCTSignaturesSQFD.computeQuadraticFormDistances( | sourceSignature, imageSignatures, distances | )

Computes Signature Quadratic Form Distance between the reference signature and each of the other image signatures.

Parameters

  sourceSignature | The signature to measure distance of other signatures from.
  imageSignatures | Vector of signatures to measure distance from the source signature.
  distances | Output vector of measured distances.

## § create()

static Ptr<PCTSignaturesSQFD> cv::xfeatures2d::PCTSignaturesSQFD::create | ( | const int | distanceFunction = `3`,
|  | const int | similarityFunction = `2`,
|  | const float | similarityParameter = `1.0f`
| ) |  |
| static

Python:
| retval | = | cv.xfeatures2d.PCTSignaturesSQFD_create( | [, distanceFunction[, similarityFunction[, similarityParameter]]] | )

Creates the algorithm instance using selected distance function, similarity function and similarity function parameter.

Parameters

  distanceFunction | Distance function selector. Default: L2 Available: L0_25, L0_5, L1, L2, L2SQUARED, L5, L_INFINITY
  similarityFunction | Similarity function selector. Default: HEURISTIC Available: MINUS, GAUSSIAN, HEURISTIC
  similarityParameter | Parameter of the similarity function.

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/xfeatures2d/include/opencv2/xfeatures2d.hpp